id: building-names
source: spirit
source-layer: building-names
minzoom: 11
type: symbol
filter:
  - '>='
  - [get, way_area]
  - ['*', 750, 6126430366.1, ['^', 0.1, [zoom]]]
layout:
  text-field: '{name}'
  text-font: !!inc/file style/inc/regular-font.yaml
  text-size: 10
  text-max-width:
    - interpolate
    - [linear]
    - [length, [get, name]]
    - 20
    - 7
    - 40
    - 10
    - 60
    - 15
paint:
  text-color: '#3e3c2c' # lch(25,10,100)
  text-halo-width: 1
  text-halo-color: '#d9d5c2' # lch(85,10,100)
